package audit

// Main info about audit
type RecordAudit struct {

	// Arguments
	Arguments string `json:"args"`

	// Call
	Call string `json:"call"`

	// GUID
	GUID string `json:"guid"`

	// Kwargs
	Kwargs string `json:"kwargs"`

	// RemoteAddr
	RemoteAddr string `json:"remote_addr"`

	// Response time
	ResponseTime float64 `json:"responsetime"`

	// Result
	Result string `json:"result"`

	// Status code
	StatusCode uint64 `json:"statuscode"`

	// Tags
	Tags string `json:"tags"`

	// Timestamp
	Timestamp float64 `json:"timestamp"`

	// TimestampEnd
	TimestampEnd float64 `json:"timestampEnd"`

	// User
	User string `json:"user"`
}
